&apt-author.jgunthorpe; &apt-author.team; &apt-email; &apt-product; 2013-11-30T00:00:00Z
apt-cdrom
8
APT

# apt-cdrom

APT CD-ROM management utility

&synopsis-command-apt-cdrom;

## Description

`apt-cdrom` is used to add a new CD-ROM to APT's list of available sources. `apt-cdrom` takes care of determining the structure of the disc as well as correcting for several possible mis-burns and verifying the index files.

It is necessary to use `apt-cdrom` to add CDs to the APT system; it cannot be done by hand. Furthermore each disc in a multi-CD set must be inserted and scanned separately to account for possible mis-burns.

Unless the `-h`, or `--help` option is given, one of the commands below must be present.

`add`

  `add` is used to add a new disc to the source list. It will unmount the CD-ROM device, prompt for a disc to be inserted and then proceed to scan it and copy the index files. If the disc does not have a proper `.disk` directory you will be prompted for a descriptive title.

  APT uses a CD-ROM ID to track which disc is currently in the drive and maintains a database of these IDs in `&statedir;/cdroms.list`

`ident`

  A debugging tool to report the identity of the current disc as well as the stored file name

## Options

&apt-cmdblurb;

`--no-auto-detect`
`--cdrom`

  Do not try to auto-detect the CD-ROM path. Usually combined with the `--cdrom` option. Configuration Item: `Acquire::cdrom::AutoDetect`.

`-d`
`--cdrom`

  Mount point; specify the location to mount the CD-ROM. This mount point must be listed in `/etc/fstab` and properly configured. Configuration Item: `Acquire::cdrom::mount`.

`-r`
`--rename`

  Rename a disc; change the label of a disc or override the disc's given label. This option will cause `apt-cdrom` to prompt for a new label. Configuration Item: `APT::CDROM::Rename`.

`-m`
`--no-mount`

  No mounting; prevent `apt-cdrom` from mounting and unmounting the mount point. Configuration Item: `APT::CDROM::NoMount`.

`-f`
`--fast`

  Fast Copy; Assume the package files are valid and do not check every package. This option should be used only if `apt-cdrom` has been run on this disc before and did not detect any errors. Configuration Item: `APT::CDROM::Fast`.

`-a`
`--thorough`

  Thorough Package Scan; This option may be needed with some old Debian 1.1/1.2 discs that have Package files in strange places. It takes much longer to scan the CD but will pick them all up.

`-n`
`--just-print`
`--recon`
`--no-act`

  No Changes; Do not change the &sources-list; file and do not write index files. Everything is still checked however. Configuration Item: `APT::CDROM::NoAct`.

&apt-commonoptions;

## See Also

&apt-conf;, &apt-get;, &sources-list;

## Diagnostics

`apt-cdrom` returns zero on normal operation, decimal 100 on error.

&manbugs;